package com.liquidnet.service.goblin.dto.manage.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "GoblinStoreMgtThumbVo", description = "店铺简易信息列表")
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GoblinStoreMgtThumbVo implements java.io.Serializable, Cloneable {
    private static final long serialVersionUID = -7808265282707179941L;
    @ApiModelProperty(position = 10, value = "店铺ID[64]")
    private String storeId;
    @ApiModelProperty(position = 11, value = "店铺名称[128]")
    private String storeName;
    @ApiModelProperty(position = 12, value = "店铺LOGO[256]")
    private String logoPic;

    private static final GoblinStoreMgtThumbVo obj = new GoblinStoreMgtThumbVo();
    public static GoblinStoreMgtThumbVo getNew() {
        try {
            return (GoblinStoreMgtThumbVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinStoreMgtThumbVo();
        }
    }
}
